# OnnxRuntime: Ort::detail::IoBindingImpl< T > Struct Template Reference

Loading...
Searching...
No Matches
Ort::detail::IoBindingImpl< T > Struct Template Reference

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::detail::IoBindingImpl< T >:

## Public Types

using | B = ConstIoBindingImpl< T >
using | B = Base< T >
Public Types inherited from Ort::detail::ConstIoBindingImpl< T >
using | B = Base< T >
Public Types inherited from Ort::detail::Base< T >
using | contained_type = T

## Public Member Functions

void | BindInput (const char *name, const Value &)
void | BindOutput (const char *name, const Value &)
void | BindOutput (const char *name, const OrtMemoryInfo *)
void | ClearBoundInputs ()
void | ClearBoundOutputs ()
void | SynchronizeInputs ()
void | SynchronizeOutputs ()
Public Member Functions inherited from Ort::detail::ConstIoBindingImpl< T >
std::vector< std::string > | GetOutputNames () const
std::vector< std::string > | GetOutputNames (OrtAllocator *) const
std::vector< Value > | GetOutputValues () const
std::vector< Value > | GetOutputValues (OrtAllocator *) const
Public Member Functions inherited from Ort::detail::Base< T >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| ~Base ()
| Base (const Base &)=delete
Base & | operator= (const Base &)=delete
| Base (Base &&v) noexcept
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Protected Attributes inherited from Ort::detail::Base< T >
contained_type * | p_ {}

## Member Typedef Documentation

## B [1/2]

template<typename T >

using Ort::detail::IoBindingImpl< T >::B = ConstIoBindingImpl<T>

## B [2/2]

template<typename T >

using Ort::detail::ConstIoBindingImpl< T >::B = Base<T>

## Member Function Documentation

## BindInput()

template<typename T >

void Ort::detail::IoBindingImpl< T >::BindInput | ( | const char * | name,
|  | const Value & |
| ) |  |

## BindOutput() [1/2]

template<typename T >

void Ort::detail::IoBindingImpl< T >::BindOutput | ( | const char * | name,
|  | const OrtMemoryInfo * |
| ) |  |

## BindOutput() [2/2]

template<typename T >

void Ort::detail::IoBindingImpl< T >::BindOutput | ( | const char * | name,
|  | const Value & |
| ) |  |

## ClearBoundInputs()

template<typename T >

void Ort::detail::IoBindingImpl< T >::ClearBoundInputs | ( |  | ) |

## ClearBoundOutputs()

template<typename T >

void Ort::detail::IoBindingImpl< T >::ClearBoundOutputs | ( |  | ) |

## SynchronizeInputs()

template<typename T >

void Ort::detail::IoBindingImpl< T >::SynchronizeInputs | ( |  | ) |

## SynchronizeOutputs()

template<typename T >

void Ort::detail::IoBindingImpl< T >::SynchronizeOutputs | ( |  | ) |